FROM mysql:8.0

# Set the root password
ENV MYSQL_ROOT_PASSWORD=my-secret-pw

# Add a user
ENV MYSQL_USER=myuser
ENV MYSQL_PASSWORD=mypassword

# Copy the SQL dump into the container
COPY db/dump.sql /docker-entrypoint-initdb.d/

# Grant privileges to user
COPY ./db/permissions.sql /docker-entrypoint-initdb.d/

